org.red5.server.api.scope

## Interface IScopeService

All Known Subinterfaces:
  IOnDemandStreamService, IProviderService, ISchedulingService, ISharedObject, ISharedObjectSecurityService, ISharedObjectService, IStreamableFileFactory, IStreamFilenameGenerator, IStreamSecurityService, IStreamService, ISubscriberStreamService

All Known Implementing Classes:
  ApplicationAdapter, ApplicationSchedulingService, DefaultStreamFilenameGenerator, MultiThreadedApplicationAdapter, ProviderService, QuartzSchedulingService, SharedObjectScope, SharedObjectService, StreamableFileFactory, StreamService

    public interface IScopeService

Base marker interface for all scope services. Used by the ScopeUtils to lookup services defined as beans in Spring application context. A scope service usually can perform various tasks on a scope like managing shared objects, streams, etc.

Author:
  The Red5 Project (red5@osflash.org), Joachim Bauch (bauch@struktur.de)

### Field Summary

Fields
`static String` `BEAN_NAME` Name of a bean defining that scope service.

### Field Detail

#### BEAN_NAME

    static final String BEAN_NAME

Name of a bean defining that scope service. Override in subinterfaces.